Install Package failure for Silverlight 4 project

Jun 20, 2013 at 10:00 PM
Trying to install most recent package on a Silverlight 4 project and receiving this error.

Install-Package QuickGraph
Installing 'QuickGraph 3.6.61119.7'.
Successfully installed 'QuickGraph 3.6.61119.7'.
Adding 'QuickGraph 3.6.61119.7' to ProjectSilverlight.
Uninstalling 'QuickGraph 3.6.61119.7'.
Successfully uninstalled 'QuickGraph 3.6.61119.7'.
Install failed. Rolling back...
Install-Package : Could not install package 'QuickGraph 3.6.61119.7'. You are trying to install this package into a project that targets 'Silverlight,Version=v4.0', but the package does not contain any assembly refere
nces or content files that are compatible with that framework. For more information, contact the package author.
At line:1 char:16
  • Install-Package <<<< QuickGraph
    • CategoryInfo : NotSpecified: (:) [Install-Package], InvalidOperationException
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PowerShell.Commands.InstallPackageCommand
Nov 6, 2013 at 12:45 PM
Read this: https://quickgraph.codeplex.com/discussions/284944

It seems that NuGet package is for FW 4.0 only thus making SL projects to unable to use it.